function [uv, uh] = fdiff(u)
% forward difference of multichiannel images with periodic boundary condition

uv = cat(1, diff(u,1,1), u(1,:,:)-u(end,:,:));
uh = cat(2, diff(u,1,2), u(:,1,:)-u(:,end,:));