function w = fdiff_adj(uv, uh)
% negative divergence, i.e., adjoint operator of forward difference
% for multichannel images with periodic boundary condtion

w = - cat(1, uv(1,:,:)-uv(end,:,:), diff(uv,1,1)) - cat(2, uh(:,1,:)-uh(:,end,:), diff(uh,1,2));